This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 179015 - ata_piix not working, sata not working
ata_piix not working, sata not working
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks: FCMETA_SATA
  Show dependency treegraph
 
Reported: 2006-01-26 11:15 EST by Benjamin Kosnik
Modified: 2013-08-09 01:47 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 10:54:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
boot log (45.24 KB, text/plain)
2006-01-26 11:17 EST, Benjamin Kosnik
no flags Details
dmesg, atapi_enabled (24.25 KB, text/plain)
2006-02-01 11:07 EST, Benjamin Kosnik
no flags Details
dmesg, no options (21.25 KB, text/plain)
2006-02-01 11:08 EST, Benjamin Kosnik
no flags Details
modprobe.conf (293 bytes, text/plain)
2006-02-01 11:09 EST, Benjamin Kosnik
no flags Details

  None (edit)
Description Benjamin Kosnik 2006-01-26 11:15:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20060103 Fedora/1.5-4 Firefox/1.5

Description of problem:

Running FC5test2 on intel 875P system, all sata drives, no ide, with ICH5 and sata_sil with bios in sata only mode.

Installer works.

However, I cannot get the devices connected to the internal ICH5 sata bits to come up as sata. Instead, they look to be using ide.

Installer puts this in /etc/modprobe.conf
options ata_piix atapi_enabled=1

However, somehow this chokes. See attached dmesg, but this is what happens:

ata_piix: Unknown parameter `atapi_enabled'

if I remove this bit from /etc/modprobe.conf, and do not boot with any boot options, I still get this in dmesg: where is it coming from??

I have been able to get this same setup working with FC4 kernels (where ICH5 is recognized in dmesg, and the drives look right). 

-benjamin

Version-Release number of selected component (if applicable):
kernel-2.6.15-1.1872_FC5

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  

Additional info:
Comment 1 Benjamin Kosnik 2006-01-26 11:17:12 EST
Created attachment 123720 [details]
boot log
Comment 2 Benjamin Kosnik 2006-01-27 12:33:23 EST
With:
kernel-2.6.15-1.1878_FC5

And boot options as:
atapi_enabled=1 hda=noprobe hdc=noprobe

I get what I'm expecting:

scsi3 : sata_sil
  Vendor: ATA       Model: HDT722525DLA380   Rev: V44O
  Type:   Direct-Access                      ANSI SCSI revision: 05
SCSI device sda: 488397168 512-byte hdwr sectors (250059 MB)
sda: Write Protect is off
sda: Mode Sense: 00 3a 00 10
SCSI device sda: drive cache: write back w/ FUA
SCSI device sda: 488397168 512-byte hdwr sectors (250059 MB)
sda: Write Protect is off
sda: Mode Sense: 00 3a 00 10
SCSI device sda: drive cache: write back w/ FUA
 sda: sda1 sda2

ata5: SATA max UDMA/133 cmd 0x1F0 ctl 0x3F6 bmdma 0xF000 irq 14
ata5: dev 0 cfg 49:2f00 82:346b 83:7d01 84:4003 85:3469 86:3c01 87:4003 88:207f
ata5: dev 0 ATA-6, max UDMA/133, 390721968 sectors: LBA48
ata5: dev 0 configured for UDMA/133
scsi4 : ata_piix
  Vendor: ATA       Model: ST3200822AS       Rev: 3.01
  Type:   Direct-Access                      ANSI SCSI revision: 05
SCSI device sdb: 390721968 512-byte hdwr sectors (200050 MB)
sdb: Write Protect is off
sdb: Mode Sense: 00 3a 00 00
SCSI device sdb: drive cache: write back
SCSI device sdb: 390721968 512-byte hdwr sectors (200050 MB)
sdb: Write Protect is off
sdb: Mode Sense: 00 3a 00 00
SCSI device sdb: drive cache: write back
 sdb: sdb1 sdb2

ata6: SATA max UDMA/133 cmd 0x170 ctl 0x376 bmdma 0xF008 irq 15
ata6: dev 0 cfg 49:0f00 82:0000 83:0000 84:0000 85:0000 86:0000 87:0000 88:101f
ata6: dev 0 ATAPI, max UDMA/66
ata6(0): applying bridge limits
ata6: dev 0 configured for UDMA/66
scsi5 : ata_piix
  Vendor: PLEXTOR   Model: DVDR   PX-716A    Rev: 1.09
  Type:   CD-ROM                             ANSI SCSI revision: 05
Comment 3 Dave Jones 2006-01-27 15:48:35 EST
remove this line

options ata_piix atapi_enabled=1

as its a) an option for the wrong module (should be libata), and b) not needed
any more as current kernels have it enabled by default.

(Jeremy, if anaconda is writing that to modprobe.conf, can you remove it please?)


Ben, can you attach a full dmesg output without any boot options at all ?
Thanks.
Comment 4 Benjamin Kosnik 2006-02-01 11:05:57 EST
Hi Dave. Here's today's output, both with 2.6.15-1.1884_FC5. I've also attached
my  /etc/modprobe.conf, which no longer has the atapi_enabled bits.

I first booted with no options, and then booted with atapi_enabled=1 hda=noprobe
hdc=noprobe.

best,
benjamin
Comment 5 Benjamin Kosnik 2006-02-01 11:07:08 EST
Created attachment 123968 [details]
dmesg, atapi_enabled
Comment 6 Benjamin Kosnik 2006-02-01 11:08:02 EST
Created attachment 123969 [details]
dmesg, no options
Comment 7 Benjamin Kosnik 2006-02-01 11:09:58 EST
Created attachment 123970 [details]
modprobe.conf
Comment 8 Dave Jones 2006-03-06 11:40:41 EST
was test3 better ?
Comment 9 Benjamin Kosnik 2006-03-06 11:59:33 EST
no.

However, the boot options

hda=noprobe hdb=noprobe hdc=noprobe hdd=noprobe

seem to get it to do the right thing. All else is removed.

If i do this at install time, I even get DMA-enabled-ish speeds off the dvd drive.

-benjamin
Comment 10 Dave Jones 2006-03-06 16:16:54 EST
is there a 'combined mode' or 'sata legacy' or 'compatiblity mode' switch in the
bios you can disable ?
Comment 11 John Thacker 2006-05-05 10:54:12 EDT
Closing due to lack of response.
Comment 12 Benjamin Kosnik 2006-10-25 18:13:22 EDT
Bios allows (from memory: this system is in storage)

sata only
sata optimized
sata/ide

I've stuck to sata only as it actually gives the best performance, and just
passing hd[a, b, c, d]=noprobe since that actually works, whereas the other bios
options mean that the dvd drive is lost and doesn't come up.

Note You need to log in before you can comment on or make changes to this bug.